package com.pcloud.common.core.dto;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Description：TODO
 * @Author：lixg
 * @Date：2018/6/11
 * @Version：1.0
 */
public class PromotionTaskDto implements Serializable {

    private static final long serialVersionUID = -1317950519398041704L;

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 目标ID
     */
    private Long targetId;

    /**
     * 目标类型
     */
    private String targetType;

    /**
     * 目标类别
     */
    private String targetClass;

    /**
     * 目标动作
     */
    private String targetAction;

    /**
     * 目标标识
     */
    private String targetKey;

    /**
     * 目标数值
     */
    private BigDecimal targetValue = new BigDecimal(0);

    /**
     * 是否完成
     */
    private Boolean hasFinish = false;

    /**
     * 二维码ID
     */
    private Long sceneId;

    /**
     * 编辑ID
     */
    private Long adviserId;

    public Long getTargetId() {
        return targetId;
    }

    public void setTargetId(Long targetId) {
        this.targetId = targetId;
    }

    public String getTargetType() {
        return targetType;
    }

    public void setTargetType(String targetType) {
        this.targetType = targetType;
    }

    public String getTargetAction() {
        return targetAction;
    }

    public void setTargetAction(String targetAction) {
        this.targetAction = targetAction;
    }

    public String getTargetKey() {
        return targetKey;
    }

    public void setTargetKey(String targetKey) {
        this.targetKey = targetKey;
    }

    public BigDecimal getTargetValue() {
        return targetValue;
    }

    public void setTargetValue(BigDecimal targetValue) {
        this.targetValue = targetValue;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Boolean getHasFinish() {
        return hasFinish;
    }

    public void setHasFinish(Boolean hasFinish) {
        this.hasFinish = hasFinish;
    }

    public String getTargetClass() {
        return targetClass;
    }

    public void setTargetClass(String targetClass) {
        this.targetClass = targetClass;
    }

    public Long getSceneId() {
        return sceneId;
    }

    public void setSceneId(Long sceneId) {
        this.sceneId = sceneId;
    }

    public Long getAdviserId() {
        return adviserId;
    }

    public void setAdviserId(Long adviserId) {
        this.adviserId = adviserId;
    }

    @Override
    public String toString() {
        return "PromotionTaskDto{" +
                "userId=" + userId +
                ", targetId=" + targetId +
                ", targetType='" + targetType + '\'' +
                ", targetClass='" + targetClass + '\'' +
                ", targetAction='" + targetAction + '\'' +
                ", targetKey='" + targetKey + '\'' +
                ", targetValue=" + targetValue +
                ", hasFinish=" + hasFinish +
                ", sceneId=" + sceneId +
                ", adviserId=" + adviserId +
                '}';
    }
}
